/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.plugins.javancss;

import org.apache.maven.model.Plugin;
import org.apache.maven.project.MavenProject;
import org.sonar.plugins.maven.AbstractMavenPluginHandler;
import org.sonar.plugins.maven.MavenUtils;
import org.sonar.plugins.api.Languages;

public class JavaNcssMavenPluginHandler extends AbstractMavenPluginHandler {
  public boolean shouldStopOnFailure() {
    return true;
  }

  public boolean shouldExecuteOn(MavenProject pom) {
    return Languages.JAVA.equals(MavenUtils.getLanguage(pom));
  }

  public String getGroupId() {
    return MavenUtils.CODEHAUS_MOJO_GROUP_ID;
  }

  public String getArtifactId() {
    return "javancss-maven-plugin";
  }

  public String getVersion() {
    return "2.0-beta-2";
  }

  public boolean isFixedVersion() {
    return true;
  }

  public String[] getGoals() {
    return new String[]{"report"};
  }

  public void configurePlugin(MavenProject pom, Plugin plugin) {
    unsetConfigParameter( plugin, "xmlOutputDirectory" );
    setConfigParameter( plugin, "linkXRef", "false");

    // remove it when upgrading to 2.0-beta-3
    // see http://jira.codehaus.org/browse/MJNCSS-16
    MavenUtils.addDependencyToPlugin(plugin, "javancss", "javancss", "29.50", "jar");
  }
}
