/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.plugins.javancss;

import ch.hortis.sonar.model.Metric;
import org.sonar.plugins.api.Job;
import org.sonar.plugins.api.Language;
import org.sonar.plugins.api.Languages;
import org.sonar.plugins.api.MavenCollector;
import org.sonar.plugins.api.MavenPluginHandler;
import org.sonar.plugins.api.Plugin;
import org.sonar.plugins.api.RulesRepository;

import java.util.Collections;
import java.util.List;

public class JavaNcssPlugin implements Plugin {

  public String getKey() {
    return "javancss";
  }

  public String getName() {
    return "JavaNcss";
  }

  public Language getLanguage() {
    return Languages.JAVA;
  }

  public List<Metric> getMetrics() {
    return Collections.emptyList();
  }

  public Class<? extends MavenPluginHandler> getMavenPluginHandlerClass() {
    return JavaNcssMavenPluginHandler.class;
  }

  public Class<? extends MavenCollector> getMavenCollectorClass() {
    return JavaNcssMavenCollector.class;
  }

  public Class<? extends RulesRepository> getRulesRepository() {
    return null;
  }

  public List<Class<? extends Job>> getJobs() {
    return Collections.emptyList();
  }

  public String toString() {
    return getKey();
  }
}
